

#include "khdapsmon.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("System Tray Monitor for the IBM HDAPS system.");

static const char version[] = "0.1.2";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("khdapsmon", I18N_NOOP("khdapsmon"), version, description,
                     KAboutData::License_GPL_V2, "(C) 2006 Andrew Barr", 0, 0, "andrew.james.barr@gmail.com");
    about.addAuthor( "Andrew Barr", 0, "andrew.james.barr@gmail.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    khdapsmon *mainWin = 0;

        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new khdapsmon();
        app.setMainWidget( mainWin );
	mainWin->setCaption("HDAPS Monitor",0);
        // mainWin->show();

        args->clear();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

